<?php

namespace App\Controller;

use App\Container;
use App\Router\Request\IRequest;
use App\Router\Response\Response;
use Shared\Attributes\Route;
use Twig\Environment;
use Data\Core\Preferences;
use Shared\Log;

class HeartRateController extends BaseController
{

    private Environment $twig;
    protected Preferences $preference;

    public function __construct()
    {
       session_start();
       $this->preference = new Preferences();
    }


    #[Route(path: '/import', name: 'import', methods: ['GET'])]
    public function import(): Response
    {
        return $this->render('./page/import.html.twig',[
            'css' => $this->preference->getCookie(),
            'pp' => "test2",
            'user' => "Doe",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }

    
}